Bug 185219 - Update multimedia/qmmp, multimedia/qmmp-plugin-pack
Summary: Update multimedia/qmmp, multimedia/qmmp-plugin-pack
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-27 04:20 UTC by SimaMoto,RyōTa
Modified: 2014-01-20 09:13 UTC (History)
0 users

See Also:


Attachments
file.diff (1.81 KB, patch)
2013-12-27 04:20 UTC, SimaMoto,RyōTa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SimaMoto,RyōTa 2013-12-27 04:20:01 UTC
QMMP Version 0.7.4
* added Galician translation
* added m3u8 playlist extension
* improved ReplayGain support
* improved cdaudio plugin
* fixed memory leak
* and more bug fixes...
QMMP Plugin Pack Version 0.7.4
* fixed memory leak

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2014-01-08 09:18:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 Max Brazhnikov freebsd_committer 2014-01-16 20:09:43 UTC
Hi RyoTa,

I've made a couple small changes to you port, could you check them?
Here's the patch: http://people.freebsd.org/~makc/patches/qmmp.diff
Basically, I have removed a patch from plugin port, it's no longer needed,
since CMAKE_INSTALL_RPATH_USE_LINK_PATH is set by default. And I've added
uic_build to the dependencies to fix build without MPG123 and QSUI options.

Cheers,
Max
Comment 3 SimaMoto,RyōTa 2014-01-17 07:16:09 UTC
Hi =ED=C1=CB=D3,

You are right.  I appreciate your changes but for QSUI.

My RPATH hack is unneeded beside of the same definition of
PORTSDIR/Mk/Uses/cmake.mk.  Moreover I am sorry for using
wrong macro inclusion lines.

Thank you for making me notice about QSUI option's
unexpected behaviour.  I sent a report to the author that
the option has no effect and the respective plugin always
will be built and be installed.
http://code.google.com/p/qmmp/issues/detail?id=3D631
Until this issue will be adapted or fixed, either QSUI
option should be hidden and handle it permanently TRUE, or
the CMakeLists.txt should be fixed with the following
additional change:

post-patch:
	${REINPLACE_CMD} -e 's/IF[(]/&USE_QSUI AND /' \
	${WRKSRC}/src/Ui/CMakeLists.txt

Would you mind to add the SED script line above to the
multimedia/qmmp-plugin-pack/Makefile, and revert changes
around USE_QT4=3Duic_build?  I presume the author will accept
my report and apply its patch to the upstream source.
Comment 4 dfilter service freebsd_committer 2014-01-17 16:00:23 UTC
Author: makc
Date: Fri Jan 17 16:00:09 2014
New Revision: 340064
URL: http://svnweb.freebsd.org/changeset/ports/340064
QAT: https://qat.redports.org/buildarchive/r340064/

Log:
  - Update to 0.7.4
  - Fix build with non-default options
  - Remove obsolete patch (CMAKE_INSTALL_RPATH_USE_LINK_PATH is now set globally)
  
  PR:		ports/185219
  Submitted by:	RyoTa SimaMoto (maintainer)

Deleted:
  head/multimedia/qmmp-plugin-pack/files/
Modified:
  head/multimedia/qmmp-plugin-pack/Makefile
  head/multimedia/qmmp-plugin-pack/distinfo   (contents, props changed)
  head/multimedia/qmmp/Makefile
  head/multimedia/qmmp/distinfo   (contents, props changed)

Modified: head/multimedia/qmmp-plugin-pack/Makefile
==============================================================================
--- head/multimedia/qmmp-plugin-pack/Makefile	Fri Jan 17 15:59:52 2014	(r340063)
+++ head/multimedia/qmmp-plugin-pack/Makefile	Fri Jan 17 16:00:09 2014	(r340064)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	qmmp-plugin-pack
-PORTVERSION=	0.7.3
+PORTVERSION=	0.7.4
 CATEGORIES=	multimedia
 MASTER_SITES=	http://qmmp.ylsoftware.com/files/plugins/ \
 		http://qmmp.googlecode.com/files/
@@ -46,13 +46,13 @@ QSUI_USE=	QT4=network,uic_build
 QSUI_CMAKE_ON=	-DUSE_QSUI:BOOL=TRUE
 QSUI_CMAKE_OFF=	-DUSE_QSUI:BOOL=FALSE
 
-.include <bsd.port.pre.mk>
-
 CMAKE_ARGS+=	-DCMAKE_REQUIRED_INCLUDES:PATH=${LOCALBASE}/include
 CFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
 pre-configure:
 	@${RM} -f ${BUILD_WRKSRC}/CMakeCache.txt
+	@${REINPLACE_CMD} -e 's/IF[(]/&USE_QSUI AND /' \
+		${WRKSRC}/src/Ui/CMakeLists.txt
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/multimedia/qmmp-plugin-pack/distinfo
==============================================================================
--- head/multimedia/qmmp-plugin-pack/distinfo	Fri Jan 17 15:59:52 2014	(r340063)
+++ head/multimedia/qmmp-plugin-pack/distinfo	Fri Jan 17 16:00:09 2014	(r340064)
@@ -1,2 +1,2 @@
-SHA256 (qmmp-plugin-pack-0.7.3.tar.bz2) = fd07f480a5b1affdd4c82a49c27a00c3cddfa58f7cc8e9081b8e35c4518ae4b2
-SIZE (qmmp-plugin-pack-0.7.3.tar.bz2) = 135705
+SHA256 (qmmp-plugin-pack-0.7.4.tar.bz2) = 6e3559519925cb488a79be078c75de5a5f3f58cb893f055b8422aa37bea32144
+SIZE (qmmp-plugin-pack-0.7.4.tar.bz2) = 136618

Modified: head/multimedia/qmmp/Makefile
==============================================================================
--- head/multimedia/qmmp/Makefile	Fri Jan 17 15:59:52 2014	(r340063)
+++ head/multimedia/qmmp/Makefile	Fri Jan 17 16:00:09 2014	(r340064)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	qmmp
-PORTVERSION=	0.7.3
+PORTVERSION=	0.7.4
 CATEGORIES=	multimedia
 MASTER_SITES=	http://qmmp.ylsoftware.com/files/ \
 		${MASTER_SITE_GOOGLE_CODE}
@@ -259,7 +259,7 @@ QMMP_DIALOG_DESC=	An original dialog
 QMMP_DIALOG_CMAKE_ON=	-DUSE_QMMP_DIALOG:BOOL=TRUE
 QMMP_DIALOG_CMAKE_OFF=	-DUSE_QMMP_DIALOG:BOOL=FALSE
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 PLIST_SUB+=	SHLIB_VER=${PORTVERSION:C/-.*//}
 
@@ -308,4 +308,4 @@ post-install:
 	cd ${WRKDIR} ; ${SED} -i -e '/PLIST.doc/ r PLIST.doc' ${TMPPLIST}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/multimedia/qmmp/distinfo
==============================================================================
--- head/multimedia/qmmp/distinfo	Fri Jan 17 15:59:52 2014	(r340063)
+++ head/multimedia/qmmp/distinfo	Fri Jan 17 16:00:09 2014	(r340064)
@@ -1,2 +1,2 @@
-SHA256 (qmmp-0.7.3.tar.bz2) = 57e4e1a00450a5a094b290df5410f8ab5a80da364ad3f1402835573cb0b75562
-SIZE (qmmp-0.7.3.tar.bz2) = 848638
+SHA256 (qmmp-0.7.4.tar.bz2) = ba10d0595b99495587643584c9c8400e6eb987bd2e4bbb30c1060c507f44b4f2
+SIZE (qmmp-0.7.4.tar.bz2) = 862966
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Max Brazhnikov freebsd_committer 2014-01-17 16:03:20 UTC
On Fri, 17 Jan 2014 16:16:09 +0900 RyoTa SimaMoto wrote:
> Hi =ED=C1=CB=D3,
>=20
> You are right.  I appreciate your changes but for QSUI.
>=20
> My RPATH hack is unneeded beside of the same definition of
> PORTSDIR/Mk/Uses/cmake.mk.  Moreover I am sorry for using
> wrong macro inclusion lines.
>=20
> Thank you for making me notice about QSUI option's
> unexpected behaviour.  I sent a report to the author that
> the option has no effect and the respective plugin always
> will be built and be installed.
> http://code.google.com/p/qmmp/issues/detail?id=3D631
> Until this issue will be adapted or fixed, either QSUI
> option should be hidden and handle it permanently TRUE, or
> the CMakeLists.txt should be fixed with the following
> additional change:
>=20
> post-patch:
> =09${REINPLACE_CMD} -e 's/IF[(]/&USE_QSUI AND /' \
> =09${WRKSRC}/src/Ui/CMakeLists.txt

Done and already committed!

Cheers,
Max
Comment 6 Max Brazhnikov freebsd_committer 2014-01-20 09:13:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!